<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class StatusPrivacyAction extends \Google\Protobuf\Internal\Message
{
    


    protected $mode = null;
    


    private $userJid;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getMode()
    {
        return isset($this->mode) ? $this->mode : 0;
    }

    public function hasMode()
    {
        return isset($this->mode);
    }

    public function clearMode()
    {
        unset($this->mode);
    }

    




    public function setMode($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\SyncActionValue\StatusPrivacyAction\StatusDistributionMode::class);
        $this->mode = $var;

        return $this;
    }

    



    public function getUserJid()
    {
        return $this->userJid;
    }

    




    public function setUserJid($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::STRING);
        $this->userJid = $arr;

        return $this;
    }

}

